%define   branch 3.1
%define   int_ver 2.1.0
%define   pname Sankore
%define   destdir %{_datadir}/%{name}
Name:     sankore
Version:  %{branch}.%{int_ver}
Release:  %mkrel 3
Summary:  The open-source software suite for digital teachers
License:  GPLv3+ or LGPLv3+
Group:    Education
URL:      https://github.com/Sankore/
Source0:  https://github.com/Sankore/Sankore-%{version}/archive/v%{int_ver}.tar.gz
Patch0:   Sankore_3.1.pro.patch
Patch1:   gethostbyname.patch
Patch2:   Sankore-3.1-phonon-include-file.patch
BuildRequires:    qt4-devel
BuildRequires:    zlib-devel
BuildRequires:    xpdf-devel
BuildRequires:    quazip-devel
BuildRequires:    qtwebkit-devel
BuildRequires:    phonon-devel
BuildRequires:    qtsingleapplication-devel
BuildRequires:    libgomp-devel
BuildRequires:    freetype2-devel
BuildRequires:    desktop-file-utils
#QT4 plugins
Requires:         qt4-accessibility-plugin
# libqspiaccessiblebridge.so missed in mageia
# libsni-qt.so               missed in mageia
Requires:         qt4-qmlviewer
# phonon-devel -> libphononwidgets.so
Requires:         phonon-devel
Requires:         qt4-designer-plugin-qt3support
Requires:         qt4-designer-plugin-webkit
Requires:         qt4-graphicssystems-plugin
Requires:         %{_lib}qtsvg4
Requires:         %{_lib}qtgui4
Requires:         phonon-gstreamer
Requires:         %{_lib}qtscript4
Requires:         appmenu-qt
Requires:         qt4-qmlviewer
Requires:         qt4-database-plugin-sqlite


%description
%{name} can be considered as three integrated functions in one outstanding tool:
- uniboard universal interactive white board software
- the sankore teaching designer
- the sankore editor

%prep
%setup -q -n %{pname}-%{branch}-%{int_ver}
%apply_patches

%build
%{qmake_qt4} PREFIX=%{destdir} DESTDIR=%{destdir}
lrelease Sankore_3.1.pro
%make

%install
#%make INSTALL="install -p" INSTALL_ROOT=%{buildroot} PREFIX=%{destdir} DESTDIR=%{destdir} release-install
%make INSTALL="install -p" release-install

mkdir -p %{buildroot}%{_datadir}/icons/

#missed icon, taking one
install -D -m 0644 resources/images/uniboard.png %{buildroot}%{_datadir}/icons/%{name}.png

#missed desktop file, writing one
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Sankore
Comment=The open-source software suite for digital teachers
Exec=%{destdir}/Open-Sankore
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Education
EOF

desktop-file-install --mode=0644 --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

mkdir -p %{buildroot}/%_bindir/
cat > %{buildroot}/%_bindir/%{name} <<EOF
#!/bin/sh
%{destdir}/Open-Sankore

EOF

chmod 755 %{buildroot}/%_bindir/%{name}
mkdir -p %{buildroot}/%{destdir}/i18n
#anaselli Following line copies qt.conf and brakes icons
#cp -R resources/linux/qtlinux/* %{buildroot}/%{destdir}
cp -R resources/customizations %{buildroot}/%{destdir}
cp -R resources/i18n/*.qm %{buildroot}/%{destdir}/i18n

cp -r build/linux/release/product/* %{buildroot}/%{destdir}
#mv %{buildroot}/%{destdir}/Sankore\ %{version} %{buildroot}/%{destdir}/sankore

%files
%doc ChangeLog.html README.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%{destdir}


%changelog
* Fri Nov 01 2013 anaselli <anaselli> 3.1.2.1.0-3.mga4
+ Revision: 548755
- Fix localization and QT plugins runtime dependency (Bug 10364)

* Sat Oct 19 2013 umeabot <umeabot> 3.1.2.1.0-2.mga4
+ Revision: 534379
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 fwang <fwang> 3.1.2.1.0-1.mga4
+ Revision: 477472
- update file list
- fix phonon include file
- 2.1.0

* Mon Jan 14 2013 umeabot <umeabot> 3.1-3.mga3
+ Revision: 381704
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 14 2012 anaselli <anaselli> 3.1-2.mga3
+ Revision: 293986
- fixed gethostbyname declaration missing
- Git version v2.00.b.05-4-g98fe675

* Sun Nov 27 2011 anaselli <anaselli> 3.1-1.mga2
+ Revision: 173009
- imported package sankore

